function Hrep = rotateHrep2d(Hrep, angle, x0)
% rotates a polytope in H-representation by given axis and angle
%
% Syntax: Hrep = rotateHrep(Hrep, axis, radian)
%   or    Hrep = rotateHrep(Hrep, axis, radian, x0)
%
% This function is for 2d polytopes only. The polytope is rotated counter 
%   clockwise with the angle in radian. The vector x0 specifies the fixed 
%   point for the rotation.
%
% See also: rotatePolytope, getRotationMatrix2d, rotateHrep3d, rotateVrep2d

% The elk-library: convex geometry applied to crystallization modeling.
%   Copyright (C) 2012 Alexander Reinhold
%
% This program is free software: you can redistribute it and/or modify it 
%   under the terms of the GNU General Public License as published by the 
%   Free Software Foundation, either version 3 of the License, or (at your 
%   option) any later version.
%
% This program is distributed in the hope that it will be useful, but 
%   WITHOUT ANY WARRANTY; without even the implied warranty of 
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
%   General Public License for more details.
%
% You should have received a copy of the GNU General Public License along 
%   with this program.  If not, see <http://www.gnu.org/licenses/>.

if nargin < 3
    x0 = [];
end

if isempty(x0)
    Hrep.A = (getRotationMatrix2d(angle) * Hrep.A')';
else
    Hrep = moveHrep(Hrep, -x0);
    Hrep.A = (getRotationMatrix2d(angle) * Hrep.A')';
    Hrep = moveHrep(Hrep, x0);
end

end